Description: Bonjour,

Je suis amené a utiliser beaucoup de questions ouvertes, d'autant plus que avec |'évaluation par
compétences il me semble que I'on s'éloigne un peu de I'évaluation par QCM pur et dur plutét utile pour
vérifier les connaissances.

*Problématique:*

Ca fonctionne tres bien donc avec la question ouverte comme prévu dans la documentation: j'ajoute des
cases que je coche pour évaluer la question. Seulement c'est un peu fastidieux, ga m'oblige a corriger le jeu
de copie sur place pour pouvoir les scanner avant de rentrer faire les notes. Il faut aussi tourner toutes les
pages, et je trouve que le baréme n'est peut-étre pas optimisé. C'est aussi un peu difficile a corriger car les
questions sont mélangées.

*Proposition*

Corriger sur écran les questions ouvertes: lors de la notation, ou sur un onglet dédié le logiciel découpe
toutes les réponses des éleves et les regroupe par question. On crée des «marqueurs» qui évalue la réponse
et donnent des points en cliquant dessus.

Cette idée suit le fonctionnement de google form en mode évaluation, qui est complétement digital.

*Exemple*

Q:Quelle sont les fonctions du moteur ?

Marqueurs: Faire avancer le robot (1 point), convertir I'énergie électrique en énergie mécanique (2 points),
etc. il faudrait pouvoir ajouter des marqueurs au fil des corrections.

ps: je suis un utilisateur trés récent (depuis ce début d'année) d'AMC mais conquis. Félicitations a tous pour le
travail que vous faites sur ce logiciel.

Jean-Paul

History

02/08/2018 01:53 pm - Alexis Bienveniie
- Status changed from New to Feedback

Ce n'est pas tout a fait ce que vous souhaitez, mais a partir de la version commit:370ee945a819, vous pouvez procéder ainsi :
* scannez les copies et effectuez une saisie automatique

* faites un petit contréle de cette reconnaissance comme d'habitude

* ouvrez la fenétre de saisie manuelle, et sélectionnez le scan comme fond

* sélectionnez la question ouverte que vous voulez corriger (nouveau menu déroulant au-dessus de la liste des pages)

Vous vous retrouverez dans une situation ou les cases a cocher de la question ouverte se situent en haut de la fenétre, et quand vous cliquez sur

_suivant_, vous passez a I'étudiant suivant, toujours pour cette question.
Vous pouvez choisir le nom des cases a cocher (et le baréme correspondant) pour intégrer des marqueurs définis a priori. Par contre, ces marqueurs

ne pourront étre modifiés (sauf le nombre de points affectés a chacun) une fois I'examen lancé...

03/02/2018 09:11 am - Jean-Paul BASSET
Bonjour,

c'est génial, je vais tester la nouvelle fonction dés que je suis sorti de ma période d'exam qui dure encore jusque fin mars.

merci,

07/12/2018 10:46 pm - Jean-Paul BASSET

Bonjour,

Je viens enfin de pouvoir tester la fonction, et c'est absolument génial: ca réponds trés bien au besoin et c'est un vrai gain de temps que de corriger sur
écran car ca évite de devoir retourner scanner le copies sur une photocopieuse apres correction. J'ai testé sur un petit jeu de copies juste avant la
fermeture de I'école, ca marche bien. Est-ce que vous voulez que je documente cette fonction avec un exemple complet pour l'intégrer a la

documentation ? Si oui dans quel format ?

Jean-Paul

07/15/2018 05:28 pm - Frédéric Bréal
- File auto-multiple-choice.fr.pdf added

Une fonction que je n'avais pas vue. Voici une mise a jour partielle de la documentation frangaise (page 44).
Je me suis contenté de recopier une partie du message d'Alexis. *N'hésitez pas & apporter des compléments ou corrections que j'intégrerai.”

> Vous pouvez choisir le nom des cases a cocher (et le bareme correspondant) pour intégrer des marqueurs définis a priori. Par contre, ces marqueurs
ne pourront étre modifiés (sauf le nombre de points affectés a chacun) une fois I'examen lancé...

Je n'ai pas compris cette phrase ni ou chercher dans l'interface graphique

Toujours dans l'interface graphique entre @<- précédent@ et @suivant ->@, je n'ai pas compris ce que signifient @inv@ et @i&v@

> Est-ce que vous voulez que je documente cette fonction avec un exemple complet pour l'intégrer a la documentation ? Si oui dans quel format ?
* Le dépbt est "ici":https:/gitlab.com/jojo_boulix/auto-multiple-choice/

* I faut s'inscrire pour télécharger I'archive puis installer tous les paquets inscrits dans le fichier @control@ dans le dossier @debian@

* Editez le fichier @auto-multiple-choice.fr.in.xml@ (et la version anglaise si vous le souhaitez) qui se trouve dans le dossier @doc@

* Faites vos modifications (un éditeur xml n'est pas obligatoire mais plus facile pour ne pas oublier de balises)

* Vérifiez en langant les commandes dans un terminal ouvert dans le dossier @auto-multiple-choice-master@

<pre>

make MAJ && make -C auto-multiple-choice.fr.pdf

</pre>

S'lI n'y a pas d'erreurs, le fichier pdf est construit.

* Envoyez votre fichier modifié a Alexis par mail. Autre solution, avec gitlab créez un fork du projet, envoyez vos propres modifications sur votre copie
puis demandez I'ajout.

07/15/2018 06:05 pm - Alexis Bienveniie

> Est-ce que vous voulez que je documente cette fonction avec un exemple complet pour l'intégrer a la documentation ? Si oui dans quel format ?
Une autre solution : écrire une page sur le wiki.

> je n'ai pas compris ce que signifient inv et i&v

"inv" pour "invalide" : choisir cette option pour naviguer uniqguement sur les pages qui contiennent une question avec réponse invalide (plusieurs cases
cochées pour une question simple, ou bien la case "aucune réponse correcte” cochée mais également une autre case).

"i&v" pour "invalide ou vide" : pour naviguer sur les pages qui contiennent une question avec réponse invalide, ou une question sans réponse.

Bien entendu, cela fonctionne aprés avoir fait une saisie et le calcul des notes.

07/15/2018 06:23 pm - Frédéric Bréal

> Bien entendu, cela fonctionne aprés avoir fait une saisie et le calcul des notes.

C'est ce qu'il me manquait. Je vais modifier.

Je vais également modifier les fichiers po car j'avais bien lu invalide et vide mais le calcul des notes avant, je ne l'avais pas anticipé.

Vous validerez ou non ma modification.

07/16/2018 10:06 am - Frédéric Bréal
- File auto-multiple-choice.fr.pdf added

Une nouvelle version toujours page 44.

Ga m'a pris plus de temps car :

# je suis lent ;

# il manquait I'information sur les couleurs cyan et jaunes qui indiquent les questions invalides ou vides sur la page entiére. La nouvelle fonction affine

cette recherche.

Pour Jean-Paul Basset, dites-moi si vous trouvez ceci compréhensible par rapport a votre expérience.

Merci
